Package org.spongepowered.asm.service

## Interface ISyntheticClassInfo

All Known Implementing Classes:
  `SyntheticClassInfo`

    public interface ISyntheticClassInfo

Interface for information bundle about a synthetic class provided by Mixin. Specified as an interface so that existing generator structs can be decorated easily.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getClassName()` Get the class name (java format)
`IMixinInfo` `getMixin()` Get the mixin which incepted this synthetic class (if more than one mixin is resposible, returns the first)
`java.lang.String` `getName()` Get the class name (binary name)
`boolean` `isLoaded()` Get whether the synthetic class has been loaded (and therefore generated)

### Method Detail

#### getMixin

    IMixinInfo getMixin()

Get the mixin which incepted this synthetic class (if more than one mixin is resposible, returns the first)

#### getName

    java.lang.String getName()

Get the class name (binary name)

#### getClassName

    java.lang.String getClassName()

Get the class name (java format)

#### isLoaded

    boolean isLoaded()

Get whether the synthetic class has been loaded (and therefore generated)